import Vue from "vue";
import VueRouter from "vue-router";
Vue.use(VueRouter);

const routes = [
  {
    path: "/",
    component: () => import("../views/Index.vue"),
  },
  {
    path: "/cockpit",
    name: "cockpit",
    component: () => import("../views/Cockpit.vue"),
  },
  {
    path: "/datacollect",
    name: "datacollect",
    component: () => import("../views/DataCollect.vue"),
  },

  // 刘龙龙新加的全部路由
  //db网关-ip配置-无线网关
  {
    path: "/wirelessgatewayip",
    name: "wirelessgatewayip",
    component: () => import("../views/WirelessGatewayIP.vue"),
  },
  //db网关-ip配置-有线网关
  {
    path: "/wiredgatewayip",
    name: "wiredgatewayip",
    component: () => import("../views/WiredGatewayIP.vue"),
  },
  //db网关-数据采集配置-有线网关配置
  {
    path: "/dbcollectiongate",
    name: "dbcollectiongate",
    component: () => import("../views/DbCollectiongate.vue"),
  },
  //db网关-数据采集配置-无线网关配置
  {
    path: "/dbcollectionwifi",
    name: "dbcollectionwifi",
    component: () => import("../views/DbCollectionwifi.vue"),
  },
  // db网关-数据采集配置-网口配置
  {
    path: "/channelconfig",
    name: "channelconfig",
    component: () => import("../views/ChannelConfig.vue"),
  },
  // db网关-数据采集配置-串口配置
  {
    path: "/dbcollectserial",
    name: "dbcollectserial",
    component: () => import("../views/DbCollectserial.vue"),
  },
  // db网关-数据采集配置-网口设备配置
  {
    path: "/dbcollectdevice",
    name: "dbcollectdevice",
    component: () => import("../views/DbCollectdevice.vue"),
  },
  // db网关-数据采集配置-串口设备配置
  {
    path: "/dbserialdevice",
    name: "dbserialdevice",
    component: () => import("../views/DbSerialdevice.vue"),
  },
  // db网关-有线-数据采集配置-采集点配置
  {
    path: "/dbcollect",
    name: "dbcollect",
    component: () => import("../views/DbCollection.vue"),
  },
  // db网关-无线-数据采集配置-采集点配置
  {
    path: "/dbwificollect",
    name: "dbWificollect",
    component: () => import("../views/DbWificollect.vue"),
  },
  //db网关-有线-MQTT上云-MQTT1配置
  {
    path: "/mqttconfig",
    name: "mqttconfig",
    component: () => import("../views/MqttConfig.vue"),
  },
  // db网关-无线-MQTT上云-MQTT1配置
  {
    path: "/mqttconfigwifi",
    name: "mqttconfigwifi",
    component: () => import("../views/MqttConfigwifi.vue"),
  },
  //斥候工业网关-ip配置-无线网关
  {
    path: "/chwirelessgatewayip",
    name: "chwirelessgatewayip",
    component: () => import("../views/ChWirelessGatewayIP.vue"),
  },
  //斥候工业网关-ip配置-有线网关
  {
    path: "/chwiredgatewayip",
    name: "chwiredgatewayip",
    component: () => import("../views/ChWiredGatewayIP.vue"),
  },
  //斥候工业网关-数据采集配置-无线网关配置
  {
    path: "/chiwifigate",
    name: "chiwifigate",
    component: () => import("../views/ChWifigate.vue"),
  },

  //斥候工业网关-数据采集配置-有线网关配置
  {
    path: "/gatewayconfiguration",
    name: "gatewayconfiguration",
    component: () => import("../views/GatewayConfiguration.vue"),
  },
  //斥候无线工业网关-数据采集配置-设备配置
  {
    path: "/chiwifidevice",
    name: "chiwifidevice",
    component: () => import("../views/ChiWifidevice.vue"),
  },
  //斥候有线工业网关-数据采集配置-设备配置
  {
    path: "/configuration",
    name: "configuration",
    component: () => import("../views/Configuration.vue"),
  },
  // ChiWificollect
  //斥候工业无线网关-数据采集配置-采集点配置
  {
    path: "/chiwificollect",
    name: "chiwificollect",
    component: () => import("../views/ChiWificollect.vue"),
  },
  //斥候工业有线网关-数据采集配置-采集点配置
  {
    path: "/collectionpoint",
    name: "collectionpoint",
    component: () => import("../views/CollectionPoint.vue"),
  },
  //斥候无线工业网关-数据上云配置-MQTT上云
  {
    path: "/chiwifimqtt",
    name: "chiwifimqtt",
    component: () => import("../views/ChiWifimqtt.vue"),
  },
  //斥候有线工业网关-数据上云配置-MQTT上云
  {
    path: "/chmqtt",
    name: "chmqtt",
    component: () => import("../views/ChMqtt.vue"),
  },
  //串口服务器-Ip配置
  {
    path: "/ckipconfig",
    name: "ckipconfig",
    component: () => import("../views/CkIpConfig.vue"),
  },
  //串口服务器-端口配置
  {
    path: "/ckportconfig",
    name: "ckportconfig",
    component: () => import("../views/CkPortConfig.vue"),
  },
  //串口服务器-485towifi-串口及网络协议设置
  {
    path: "/towifi",
    name: "towifi",
    component: () => import("../views/ToWifi.vue"),
  },
  //串口服务器-485towifi-网口配置
  {
    path: "/cknet",
    name: "cknet",
    component: () => import("../views/CkNet.vue"),
  },
  //串口服务器-485towifi-无线配置
  {
    path: "/ckwireless",
    name: "ckwireless",
    component: () => import("../views/CkWireless.vue"),
  },
  //工业网闸配置-网络管理
  {
    path: "/networkmanagement",
    name: "networkmanagement",
    component: () => import("../views/NetworkManagement.vue"),
  },
  //工业网闸配置-对象管理
  {
    path: "/objmanagement",
    name: "objmanagement",
    component: () => import("../views/ObjManagement.vue"),
  },
  //工业网闸配置-策略管理
  {
    path: "/strategyManagement",
    name: "strategyManagement",
    component: () => import("../views/StrategyManagement.vue"),
  },
  //工业网闸配置-策略管理-添加策略
  {
    path: "/addstrategy",
    name: "addstrategy",
    component: () => import("../views/AddStrategy.vue"),
  },
  //网络优化-网关配置
  {
    path: "/ntconfig",
    name: "ntconfig",
    component: () => import("../views/NtConfig.vue"),
  },
  //网络优化-网关维护
  {
    path: "/ntmaintenance",
    name: "ntmaintenance",
    component: () => import("../views/NtMaintenance.vue"),
  },
//     试卷
  {
    path:'/examination',
    name:'examination',
    component:()=>import("../views/examination/index.vue")
  },
//   成功交卷页面
  {
    path:'/successPage',
    name:'successPage',
    component:()=>import("../views/examination/successPage.vue")
  },
  //   成功交卷页面
  {
    path:'/examSelect',
    name:'examSelect',
    component:()=>import("../views/examination/examSelect.vue")
  },
  //考试模块
  {
    path:'/examModule',
    name:'examModule',
    component:()=>import("../views/examModule/index.vue")
  },
  //考试页面
  {
    path:'/examPage',
    name:'examPage',
    component:()=>import("../views/examModule/examPage.vue")
  },
  //练习交卷页面
  {
    path:'/practiceSuccess',
    name:'practiceSuccess',
    component:()=>import("../views/examModule/practiceSuccess.vue")
  },
  //考试详情页
  {
    path:'/examDetails',
    name:'examDetails',
    component:()=>import("../views/examModule/examDetails.vue")
  }
];

const router = new VueRouter({
  mode: "hash",
  base: process.env.BASE_URL,
  routes,
});

export default router;
