//产量数据监控
export let productChart = {
  xAxis: {
    type: "category",
    data: [
      "08:00",
      "09:00",
      "10:00",
      "11:00",
      "12:00",
      "13:00",
      "14:00",
      "15:00",
      "16:00",
      "17:00",
      "18:00",
    ],
    axisLabel: {
      show: true,
      textStyle: {
        color: "#fff",
        fontSize: 10,
      },
      interval: 0, //代表显示所有x轴标签显示
      rotate: 20,
    },
  },
  yAxis: {
    type: "value",
    axisLabel: {
      show: true,
      textStyle: {
        color: "#fff",
        fontSize: 10,
      },
    },
  },
  grid: {
    // 让图表占满容器
    top: "5%",
    left: "10%",
    right: "5%",
    bottom: "10%",
  },
  series: [
    {
      data: [26, 19, 13, 18, 20, 17, 23, 12, 28, 14, 11],
      type: "bar",
      itemStyle: {
        //柱状颜色
        color: "#75F9FD",
      },
    },
  ],
};
//主轴转速监控
export let mainshaftChart = {
  xAxis: {
    type: "category",
    data: [
      "08:00",
      "09:00",
      "10:00",
      "11:00",
      "12:00",
      "13:00",
      "14:00",
      "15:00",
      "16:00",
      "17:00",
      "18:00",
      "19:00",
    ],
    axisLabel: {
      show: true,
      textStyle: {
        color: "#fff",
        fontSize: 10,
      },
      interval: 0, //代表显示所有x轴标签显示
      rotate: 20,
    },
  },
  yAxis: {
    type: "value",
    min: 0,
    max: 4000,
    interval: 500,
    axisLabel: {
      show: true,
      textStyle: {
        color: "#fff",
        fontSize: 10,
      },
    },
    splitLine: {
      lineStyle: {
        // 设置背景横线
        color: "#BBB",
      },
    },
  },
  grid: {
    // 让图表占满容器
    top: "5%",
    left: "10%",
    right: "5%",
    bottom: "10%",
  },
  series: [
    {
      data: [
        500, 1500, 1800, 1500, 2000, 1600, 1500, 2830, 2500, 1600, 1500, 1900,
      ],
      symbolSize: 10,
      type: "line",
      itemStyle: {
        //柱状颜色
        color: "#02CDE6",
      },
      symbol: "circle",
      markPoint: {
        data: [
          {
            type: "max", // 标记类型为最大值
            name: "最大值", // 标记的名称
            itemStyle: {
              color: "#FF8D00", // 设置标记点的颜色
              borderWidth: 1, // 设置边框宽度
              borderColor: "#FF8D00", // 设置边框颜色
            },
            label: {
              show: true, // 显示标签
              fontSize: 10, // 标签字体大小
              color: "#ffff", // 标签颜色
            },
          },
        ],
      },
      markLine: {
        data: [
          {
            name: "标准线",
            yAxis: 2000, // 标准线的位置
            symbol: "none",
            lineStyle: {
              color: "#A2EF4D", // 标准线的颜色
              type: "solid", // 标准线的类型，可选值：'solid', 'dashed', 'dotted' 等
              width: 1, // 标准线的宽度
              arrow: "none", // 隐藏箭头
            },
            label: {
              show: false, // 是否显示标签
            },
          },
        ],
      },
    },
  ],
};
//负载电流监控
export let loadChartChart = {
  tooltip: {
    //悬浮框
    show: true, // 是否显示
    trigger: "item", //
  },
  xAxis: {
    type: "category",
    data: ["08:00", "10:00", "12:00", "14:00", "16:00", "18:00"],
    axisLabel: {
      show: true,
      textStyle: {
        color: "#fff",
        fontSize: 10,
      },
      interval: 0, //代表显示所有x轴标签显示
      rotate: 20,
    },
  },
  yAxis: {
    type: "value",
    axisLabel: {
      show: true,
      textStyle: {
        color: "#fff",
        fontSize: 10,
      },
    },
  },
  grid: {
    // 让图表占满容器
    top: "5%",
    left: "10%",
    right: "5%",
    bottom: "10%",
  },
  //   tooltip: {
  //     trigger: "axis",
  //     show: true,
  //     axisPointer: {
  //       type: "cross",
  //       label: {
  //         backgroundColor: "#6a7985",
  //       },
  //     },
  //   },
  //   tooltip: {
  //     trigger: "axis",
  //     position: "inside", // 设置提示框的位置为 'inside'
  //     formatter: function (params) {
  //       return `<div class='tooltip'>
  //           <p>${params[0].name}</p>
  //           <p>数据 ${params[0].value}</p>
  //         </div>
  //         `;

  //       //   return [params[0].name, params[0].value].join("<br>");
  //     },
  //   },
  series: [
    {
      data: [14, 18, 13, 25, 21, 17],
      type: "line",
      itemStyle: {
        //柱状颜色
        color: "#CCF783",
      },
      areaStyle: {
        color: "rgba(106, 126, 129, 0.8)", //
      },
    },
  ],
};
//额定电流监控
export let ratedChart = {
  tooltip: {
    //悬浮框
    show: true, // 是否显示
    trigger: "item", //
    extraCssText: "max-height: 20px;",
    position: function (point, params, dom, rect, size) {
      // 您可以在此自定义 Tooltip 的位置
      return [point[0], "10%"];
    },
  },
  xAxis: {
    type: "category",
    data: ["08:00", "10:00", "12:00", "14:00", "16:00", "18:00"],
    axisLabel: {
      show: true,
      textStyle: {
        color: "#fff",
        fontSize: 10,
      },
      interval: 0, //代表显示所有x轴标签显示
      rotate: 20,
    },
  },
  yAxis: {
    type: "value",
    axisLabel: {
      show: true,
      textStyle: {
        color: "#fff",
        fontSize: 10,
      },
    },
  },
  grid: {
    // 让图表占满容器
    top: "5%",
    left: "10%",
    right: "5%",
    bottom: "10%",
  },
  series: [
    {
      data: [21, 16, 19, 15, 22, 20],
      type: "line",
      itemStyle: {
        //柱状颜色
        color: "#F6DE30",
      },
      areaStyle: {
        color: "rgba(106, 110, 94, 0.8)", //
      },
    },
  ],
};
//切削速度监控
export let CuttingSpeedChart = {
  xAxis: {
    type: "category",
    data: [
      "08:00",
      "09:00",
      "10:00",
      "11:00",
      "12:00",
      "13:00",
      "14:00",
      "15:00",
      "16:00",
      "17:00",
      "18:00",
      "19:00",
    ],
    axisLabel: {
      show: true,
      textStyle: {
        color: "#fff",
        fontSize: 10,
      },
      interval: 0, //代表显示所有x轴标签显示
      rotate: 20,
    },
  },
  yAxis: {
    type: "value",
    min: 0,
    max: 1600,
    interval: 200,
    axisLabel: {
      show: true,
      textStyle: {
        color: "#fff",
        fontSize: 10,
      },
    },
    splitLine: {
      lineStyle: {
        // 设置背景横线
        color: "#BBB",
      },
    },
  },
  grid: {
    // 让图表占满容器
    top: "5%",
    left: "10%",
    right: "5%",
    bottom: "10%",
  },
  series: [
    {
      data: [1000, 600, 700, 500, 700, 1000, 600, 1130, 1000, 700, 1000, 900],
      symbolSize: 10,
      type: "line",
      itemStyle: {
        //柱状颜色
        color: "#02CDE6",
      },
      symbol: "circle",
      markPoint: {
        data: [
          {
            type: "max", // 标记类型为最大值
            name: "最大值", // 标记的名称
            itemStyle: {
              color: "#FF8D00", // 设置标记点的颜色
              borderWidth: 1, // 设置边框宽度
              borderColor: "#FF8D00", // 设置边框颜色
            },
            label: {
              show: true, // 显示标签
              fontSize: 10, // 标签字体大小
              color: "#ffff", // 标签颜色
            },
          },
        ],
      },
      markLine: {
        data: [
          {
            name: "标准线",
            yAxis: 1000, // 标准线的位置
            symbol: "none",
            lineStyle: {
              color: "#A2EF4D", // 标准线的颜色
              type: "solid", // 标准线的类型，可选值：'solid', 'dashed', 'dotted' 等
              width: 1, // 标准线的宽度
              arrow: "none", // 隐藏箭头
            },
            label: {
              show: false, // 是否显示标签
            },
          },
        ],
      },
    },
  ],
};
//急停状态监控
export let stopChart = {
  tooltip: {
    //悬浮框
    show: true, // 是否显示
    extraCssText: "max-height: 20px;",
    position: function (point, params, dom, rect, size) {
      // 您可以在此自定义 Tooltip 的位置
      return [point[0], "10%"];
    },
  },
  xAxis: {
    type: "category",
    data: [
      "08:00",
      "09:00",
      "10:00",
      "11:00",
      "12:00",
      "13:00",
      "14:00",
      "15:00",
      "16:00",
      "17:00",
      "18:00",
    ],
    axisLabel: {
      show: true,
      textStyle: {
        color: "#fff",
        fontSize: 10,
      },
      interval: 0, //代表显示所有x轴标签显示
      rotate: 20,
    },
  },
  yAxis: {
    type: "value",
    axisLabel: {
      show: true,
      textStyle: {
        color: "#fff",
        fontSize: 10,
      },
    },
  },
  grid: {
    // 让图表占满容器
    top: "5%",
    left: "10%",
    right: "5%",
    bottom: "10%",
  },
  series: [
    {
      data: [0, 1, 0, 1, 1, 1, 1, 1, 0, 0, 1],
      type: "line",
      itemStyle: {
        //柱状颜色
        color: "#8286F9",
      },
      areaStyle: {
        color: "rgba(64, 102, 157, 0.8)", //
      },
    },
  ],
};
